MetaMethodIndex (Groovy 5.0.8)
Description: declaration: package: org.codehaus.groovy.runtime.metaclass, class: MetaMethodIndex

Package org.codehaus.groovy.runtime.metaclass

# Class MetaMethodIndex

java.lang.Object
org.codehaus.groovy.runtime.metaclass.MetaMethodIndex

public class MetaMethodIndex extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `MetaMethodIndex.Cache`
  `static class`
  `MetaMethodIndex.MetaMethodCache`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final Map<Class<?>,Map<String,MetaMethodIndex.Cache>>`
  `indexMap`
  a map of the starter class plus its super classes to save method lists for static/normal/super method calls.
  `final Class<?>`
  `mainClass`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetaMethodIndex(CachedClass theCachedClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMetaMethod(MetaMethod method, Map<String,MetaMethodIndex.Cache> map)`
  `Object`
  `addMethodToList(Object o, MetaMethod toIndex)`
  `void`
  `clearCaches()`
  `void`
  `clearCaches(String name)`
  `void`
  `copyMethodsToSuper()`
  `void`
  `copyNonPrivateMethods(Map<String,MetaMethodIndex.Cache> from, Map<String,MetaMethodIndex.Cache> to)`
  `void`
  `copyNonPrivateNonNewMetaMethods(Map<String,MetaMethodIndex.Cache> from, Map<String,MetaMethodIndex.Cache> to)`
  `Map<String,MetaMethodIndex.Cache>`
  `getHeader(Class<?> cls)`
  `final MetaMethodIndex.Cache`
  `getMethods(Class<?> cls, String name)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### indexMap

    public final Map<Class<?>,Map<String,MetaMethodIndex.Cache>> indexMap
    a map of the starter class plus its super classes to save method lists for static/normal/super method calls. It also provides a simple cache of one method name and call signature to method per static/normal/super call.

  - ### mainClass

    public final Class<?> mainClass

- ## Constructor Details

  - ### MetaMethodIndex

    public MetaMethodIndex(CachedClass theCachedClass)

- ## Method Details

  - ### getMethods

    public final MetaMethodIndex.Cache getMethods(Class<?> cls, String name)

  - ### addMetaMethod

    public void addMetaMethod(MetaMethod method, Map<String,MetaMethodIndex.Cache> map)

  - ### getHeader

    public Map<String,MetaMethodIndex.Cache> getHeader(Class<?> cls)

  - ### copyNonPrivateMethods

    public void copyNonPrivateMethods(Map<String,MetaMethodIndex.Cache> from, Map<String,MetaMethodIndex.Cache> to)

  - ### copyNonPrivateNonNewMetaMethods

    public void copyNonPrivateNonNewMetaMethods(Map<String,MetaMethodIndex.Cache> from, Map<String,MetaMethodIndex.Cache> to)

  - ### addMethodToList

    public Object addMethodToList(Object o, MetaMethod toIndex)

  - ### copyMethodsToSuper

    public void copyMethodsToSuper()

  - ### clearCaches

    public void clearCaches()

  - ### clearCaches

    public void clearCaches(String name)